:root {
    @media only screen and (max-width: 600px) {
        --width-main: 80%;
        --dual-col-row-dir: column;
    }
    @media only screen and (min-width: 600px) {
        --width-main: 70%;
    }
    @media only screen and (min-width: 992px) {
        --width-main: 60%;
        --dual-col-row-dir: row;
    }
    @media only screen and (min-width: 1200px) {
        --width-main: 40%;
    }
    --text-main: hsl(0, 0%, 90%);
    --text-sec: hsl(0, 0%, 30%);
}

html,
body {
    margin: 0px;
    padding: 0px;
}

body {
    background-color: hsl(0, 0%, 10%);
    color: var(--text-main);
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Roboto Condensed", serif;
}
h1,
h2,
h3,
p {
    margin: 0px;
}
p {
    font-size: large;
}
a {
    all: unset;
    border-bottom: 1px solid var(--text-sec);
    transition: all 0.2s ease-in;
}
a:hover {
    cursor: pointer;
    border-bottom: 1px solid var(--text-main);
}

footer {
    width: var(--width-main);
    border-top: 2px solid var(--text-sec);
    padding: 1rem 0rem;
}

header {
    width: var(--width-main);
    display: flex;
    align-items: end;
    justify-content: space-between;
    border-bottom: 2px solid var(--text-sec);
    padding: 1rem 0rem;
    margin-bottom: 2rem;
}
header h1 {
    all: unset;
    font-size: xx-large;
    font-weight: bold;
}
nav {
    height: 100%;
    display: flex;
    align-items: end;
    gap: 1rem;
}
nav a {
    all: unset;
    font-size: larger;
}
nav a:hover,
header a:hover {
    cursor: pointer;
}

#content-wrapper {
    width: var(--width-main);
    min-height: 80vh;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.img-profile-wrapper {
    width: fit-content;
    height: fit-content;
    aspect-ratio: 4/4;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-radius: 50%;
    transition: all 0.5s;
}
.img-profile {
    width: 100%;
    object-fit: cover;
}
.img-profile-wrapper:hover {
    //rotate: 360deg;
}

.dual-col-row {
    width: 100%;
    display: flex;
    flex-direction: var(--dual-col-row-dir);
    justify-content: space-around;
    align-items: center;
}

.col {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.row {
    display: flex;
    gap: 2rem;
}
.space-between {
  justify-content: space-between;
}

.link {
    font-size: larger;
}

.skill-wrapper {
    width: 50%;
    justify-content: start;
    gap: 0.6rem;
}
.skill-grid {
    display: grid;
    grid-template-columns: repeat(2, minmax(150px, 1fr));
    gap: 1rem;
    margin-bottom: 2rem;
}
.skill-col {
    font-weight: bold;
    gap: 0.2rem;
}
.skill-progress {
    width: 100%;
    height: 12px;
    border-radius: 16px;
    border: none;
    background-color: var(--text-sec);
    accent-color: var(--text-main);
}
.skill-progress::-webkit-progress-bar {
    background-color: var(--text-sec);
    border-radius: 16px;
}
.skill-progress::-webkit-progress-value {
    background-color: var(--text-main);
    border-radius: 16px;
}
.skill-progress::-moz-progress-bar {
    background-color: var(--text-main);
}

.project-card {
  padding-bottom: 2rem;
  border-bottom: 1px solid var(--text-sec);
}
.project-card:last-of-type {
  border-bottom: none;
}